红宝石-瓦特尔-幻影JS[英] Ruby - Watir - PhantomJS

问题描述

我在 debian 上.我已经用 bundle 设置了 ruby​​.我愿意

sudo gem install watir-webdriver
sudo gem install phantomjs

然后我将两者都添加到我的 Gemfile 中.然后我做捆绑安装.然后我运行 ruby​​ 代码

Watir::Browser.new(:phantomjs)

并得到这个错误:

/var/lib/gems/2.1.0/gems/selenium-webdriver-2.52.0/lib/selenium/webdriver/phantomjs/service.rb:38:in `executable_path': Unable to find phantomjs executable. (Selenium::WebDriver::Error::WebDriverError)

我该如何进行这项工作?谢谢!

推荐答案

您可以将 phantomjs 安装为 gem.

本文地址:https://www.itbaoku.cn/post/1740145.html